Bug 1335920 - NSS: Disable TLS connections with less than 1023-bit DH parameters
Summary: NSS: Disable TLS connections with less than 1023-bit DH parameters
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss   
(Show other bugs)
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Daiki Ueno
QA Contact: Hubert Kario
Mirek Jahoda
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1377248 1335929
TreeView+ depends on / blocked
 
Reported: 2016-05-13 14:27 UTC by Nikos Mavrogiannopoulos
Modified: 2017-09-25 12:55 UTC (History)
11 users (show)

Fixed In Version: nss-3.28.4-4.el7
Doc Type: Deprecated Functionality
Doc Text:
*NSS* clients using *TLS* with less than 1024-bit DH are not allowed This change prevents *NSS* clients from connecting to servers with Diffie-Hellman (DH) parameters less than 1024 bits. This ensures that allowed clients using *NSS* are not vulnerable to attacks such as the LOGJAM attack. A system administrator can enable shorter DH parameter support by modifying the `/etc/pki/nss-legacy/nss-rhel7.config` policy configuration file to: library= name=Policy NSS=flags=policyOnly,moduleDB config="allow=DH-MIN=767:DSA-MIN=767:RSA-MIN=767" Note that an empty line is required at the end of the file.
Story Points: ---
Clone Of: 1335915
: 1335921 (view as bug list)
Environment:
Last Closed: 2017-08-01 16:47:42 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1977 normal SHIPPED_LIVE nss bug fix and enhancement update 2017-08-01 17:57:47 UTC
Red Hat Knowledge Base (Solution) 3194192 None None None 2017-09-25 09:57 UTC

Description Nikos Mavrogiannopoulos 2016-05-13 14:27:19 UTC
RHEL includes several cryptographic components who's security doesn't remain constant over time. Algorithms such as (cryptographic) hashing and encryption typically have a lifetime after which they are considered either too risky to use or plain insecure. That would mean we need to phase out such algorithms from the default settings, or completely disable if they could cause irreparable issue. 

This bug is about disabling any TLS connections which utilize less than 1024-bit Diffie-Hellman parameters, while at the same hand providing a configuration method for these parameters to be allowed when needed.

For future extensibility in RHEL-7 it is recommended for any introduced configuration method to be re-usable for future algorithm or parameter deprecation (e.g., SHA1 or less than 1024-bit RSA/DH parameters), and ideally part of upstream.

Comment 13 errata-xmlrpc 2017-08-01 16:47:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1977

Comment 14 daniel 2017-09-25 09:57:48 UTC
cannot find this in release docs, could someone please point me to where this is stated in the official docs? 
Other wise I am inclined to reopen this bug until docs text is included in release notes


Note You need to log in before you can comment on or make changes to this bug.